./wip/py-p4, Perforce SCM Python API

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2010.2, Package name: py27-p4-2010.2, Maintainer: schmonz

P4Python, Perforce's derived API for Python allows you to write
Python scripts that directly execute Perforce commands.


Required to run:
[lang/python27]

Required to build:
[pkgtools/cwrappers]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2014-01-12 10:43:46 by Thomas Klausner | Files touched by this commit (6)
Log message:
PYTHON_VERSIONS_ACCEPTED cleanup.
   2012-10-07 15:57:25 by Aleksej Saushev | Files touched by this commit (211)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
Mark packages that don't or might probably not have staged installation.
   2012-04-08 22:22:11 by Thomas Klausner | Files touched by this commit (7)
Log message:
All supported python versions in pkgsrc support eggs, so remove
${PLIST.eggfile} from PLISTs and support code from lang/python.
   2011-07-06 13:32:26 by Mike M. Volokhov | Files touched by this commit (2)
Log message:
Make pkglint more happy.
   2011-07-06 13:18:48 by Mike M. Volokhov | Files touched by this commit (2)
Log message:
Add support for NetBSD. Unfortunately, p4api unavailable for netbsd-x86_64.
   2011-07-06 12:12:56 by Mike M. Volokhov | Files touched by this commit (4) | Imported package
Log message:
Import py{26,27,30,31}-p4-2010.2 as wip/py-p4.

P4Python, Perforce's derived API for Python allows you to write
Python scripts that directly execute Perforce commands.